org.apache.fop.fo.flow.table

## Class ColumnNumberManager

- java.lang.Object
- - org.apache.fop.fo.flow.table.ColumnNumberManager

    public class ColumnNumberManager
    extends Object

Helper class maintaining a record of occupied columns and an index to the next non-occupied column.

### Constructor Summary

Constructors
Constructor and Description
`ColumnNumberManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isColumnNumberUsed(int colNr)` Checks whether a given column-number is already in use for the current row.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnNumberManager

    public ColumnNumberManager()

### Method Detail

#### isColumnNumberUsed

    public boolean isColumnNumberUsed(int colNr)

Checks whether a given column-number is already in use for the current row.

Parameters:
  `colNr` - the column-number to check
Returns:
  true if column-number is already occupied